Index: branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90
===================================================================
--- branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90	(revision 277)
+++ branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90	(revision 311)
@@ -50,13 +50,4 @@
   !
   INTEGER(i_std) , SAVE                              :: veget_update=0   !! update frequency in years for landuse
-  INTEGER(i_std) , SAVE                              :: veget_year_orig=0     !! first year for landuse
-  LOGICAL, SAVE                                      :: land_use = .FALSE.        ! Land Use
-  LOGICAL, SAVE                                      :: veget_reinit=.FALSE.  !! To change LAND USE file in a run.
-  !
-  LOGICAL, SAVE                                   :: read_lai = .FALSE.        ! Lai Map
-  LOGICAL, SAVE                                   :: old_lai = .FALSE.         ! Old Lai Map interpolation
-  LOGICAL, SAVE                                   :: impveg = .FALSE.
-  LOGICAL, SAVE                                   :: impsoilt = .FALSE.
-  LOGICAL, SAVE                                   :: old_veget = .FALSE.         ! Old veget Map interpolation
   !
   REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)    :: clayfraction 
@@ -502,8 +493,7 @@
     CHARACTER(LEN=80)                                    :: var_name       !! To store variables names for I/O
     INTEGER(i_std)                                       :: ji, jv, ier
-    LOGICAL, INTENT(out)                                 ::  read_lai
+    ! DS 08072011 change in intent(in)
+    LOGICAL, INTENT(in)                                 ::  read_lai
     REAL(r_std)                                           :: frac_nobio1    !! temporary
-    REAL(r_std)                                           :: stempdiag_bid  !! only needed for an initial LAI 
-                                                                            !! if there is no restart file
     REAL(r_std), DIMENSION(kjpindex,nbdl)                 :: stempdiag2_bid !! matrix to store stempdiag_bid
     CHARACTER(LEN=4)                                     :: vegsoil_dist   !! Flag to choose the soil/vegetation distribution
@@ -587,13 +577,4 @@
     CALL setvar_p (day_counter, val_exp, 'SECHIBA_DAY', zero)
     !
-    !Config Key  = LAI_MAP
-    !Config Desc = Read the LAI map
-    !Config Def  = n
-    !Config Help = It is possible to read a 12 month LAI map which will
-    !Config        then be interpolated to daily values as needed.
-    !
-    read_lai = .FALSE.
-    CALL getin_p('LAI_MAP',read_lai)
-    !
     var_name= 'veget'
     CALL ioconf_setatt('UNITS', '-')
@@ -613,35 +594,7 @@
     CALL restget_p (rest_id, var_name, nbp_glo, nnobio, 1, kjit, .TRUE., frac_nobio, "gather", nbp_glo, index_g)
     !
-    !Config Key  = LAND_USE
-    !Config Desc = Read a land_use vegetation map
-    !Config Def  = n
-    !Config Help = pft values are needed, max time axis is 293
-    !
-    land_use = .FALSE.
     veget_update=0
-    CALL getin_p('LAND_USE',land_use)
+
     IF (land_use) THEN
-       !
-       !Config Key  = VEGET_YEAR
-       !Config Desc = Year of the land_use vegetation map to be read (0 == NO TIME AXIS)
-       !Config If   = LAND_USE
-       !Config Def  = 282
-       !Config Help = First year for landuse vegetation (2D map by pft).
-       !Config Help   If VEGET_YEAR == 0, this means there is no time axis.
-       !
-       veget_year_orig=282
-       CALL getin_p('VEGET_YEAR', veget_year_orig)
-       !
-       !Config Key  = VEGET_REINIT
-       !Config Desc = booleen to indicate that a new LAND USE file will be used.
-       !Config If   = LAND_USE
-       !Config Def  = n
-       !Config Help = The parameter is used to bypass veget_year count 
-       !Config Help   and reinitialize it with VEGET_YEAR parameter.
-       !Config Help   Then it is possible to change LAND USE file.
-       !
-       veget_reinit = .FALSE.
-       CALL getin_p('VEGET_REINIT', veget_reinit)
-       !
        !
        var_name= 'veget_year'
@@ -678,14 +631,4 @@
        WRITE(numout,*) "Update frequency for land use in years :",veget_update
        !
-       !Config  Key  = LAND_COVER_CHANGE
-       !Config  Desc = treat land use modifications
-       !Config  If   = LAND_USE
-       !Config  Def  = y
-       !Config  Help = With this variable, you can use a Land Use map
-       !Config         to simulate anthropic modifications such as 
-       !Config         deforestation.
-       !
-       lcchange = .TRUE.  
-       CALL getin_p('LAND_COVER_CHANGE', lcchange)
        IF ( veget_update == 0 .AND. lcchange ) THEN
           CALL ipslerr (2,'slowproc_init', &
@@ -750,10 +693,5 @@
     CALL setvar_p (zcanop, val_exp, 'SECHIBA_ZCANOP', 0.5_r_std)
     !
-    !Config Key  = HYDROL_SOIL_DEPTH
-    !Config Desc = Total depth of soil reservoir
-    !Config Def  = 2.
-    !
-    dpu_cste=2.
-    CALL getin_p ("HYDROL_SOIL_DEPTH", dpu_cste)
+    ! Initialisation of dpu
     dpu(:)=dpu_cste
 !MM, T. d'O. : before in constantes_soil :
@@ -783,16 +721,5 @@
 
     !
-    !  Interception reservoir coefficient
-    !
-    !Config  Key  = 'SECHIBA_QSINT' 
-    !Config  Desc = Interception reservoir coefficient
-    !Config  Def  = 0.1
-    !Config  Help = Transforms leaf area index into size of interception reservoir
-    !Config         for slowproc_derivvar or stomate
-
-!!$    qsintcst = 0.1
-    CALL getin_p('SECHIBA_QSINT', qsintcst)
-    WRITE(numout, *)' SECHIBA_QSINT, qsintcst = ', qsintcst
-
+!!$    WRITE(numout, *)' SECHIBA_QSINT, qsintcst = ', qsintcst
     !
     ! Time step of STOMATE and LAI update
@@ -807,44 +734,14 @@
     dt_slow = one_day
     CALL getin_p('DT_SLOW', dt_slow)
-    !
-
-    !Config Key  = SLOWPROC_LAI_TEMPDIAG
-    !Config Desc = Temperature used for the initial guess of LAI
-    !Config Def  = 280.
-    !Config Help = If there is no LAI in the restart file, we may need
-    !Config        a temperature that is used to guess the initial LAI.
-    !
-    stempdiag_bid = 280.
-    CALL getin_p('SLOWPROC_LAI_TEMPDIAG',stempdiag_bid)
-    ! 
+
     !
     ! get restart value if none were found in the restart file
     !
-    !Config  Key  = AGRICULTURE
-    !Config  Desc = agriculture allowed?
-    !Config  Def  = y
-    !Config  Help = With this variable, you can determine
-    !Config         whether agriculture is allowed
-    !
-    agriculture = .TRUE.
-    CALL getin_p('AGRICULTURE', agriculture)
-    IF ( .NOT. agriculture .AND. land_use ) THEN 
-       CALL ipslerr (2,'slowproc_init', &
-               &     'Problem with agriculture desactivated and Land Use activated.',&
-               &     'Are you sure ?', &
-               &     '(check your parameters).')
-    ENDIF
-
-    !
-    !Config Key  = IMPOSE_VEG
-    !Config Desc = Should the vegetation be prescribed
-    !Config Def  = n
-    !Config Help = This flag allows the user to impose a vegetation distribution
-    !Config        and its characterisitcs. It is espacially interesting for 0D
-    !Config        simulations. On the globe it does not make too much sense as
-    !Config        it imposes the same vegetation everywhere
-    !
-    impveg = .FALSE.
-    CALL getin_p('IMPOSE_VEG', impveg)
+!!$    IF ( .NOT. agriculture .AND. land_use ) THEN 
+!!$       CALL ipslerr (2,'slowproc_init', &
+!!$               &     'Problem with agriculture desactivated and Land Use activated.',&
+!!$               &     'Are you sure ?', &
+!!$               &     '(check your parameters).')
+!!$    ENDIF
     !
     IF ( impveg ) THEN
@@ -899,16 +796,4 @@
        CALL setvar_p (lai, val_exp, 'SECHIBA_LAI', llaimax)
 
-       !
-       !Config Key  = IMPOSE_SOILT
-       !Config Desc = Should the soil typ be prescribed
-       !Config Def  = n
-       !Config If   = IMPOSE_VEG
-       !Config Help = This flag allows the user to impose a soil type distribution.
-       !Config        It is espacially interesting for 0D
-       !Config        simulations. On the globe it does not make too much sense as
-       !Config        it imposes the same soil everywhere
-       !
-       impsoilt = .FALSE.
-       CALL getin_p('IMPOSE_SOILT', impsoilt)
        IF (impsoilt) THEN
           !Config Key  = SOIL_FRACTIONS
@@ -958,14 +843,4 @@
 
           IF ( .NOT. land_use ) THEN
-
-             !Config Key  = SLOWPROC_VEGET_OLD_INTERPOL
-             !Config Desc = Flag to use old "interpolation" of vegetation map.
-             !Config If   = NOT IMPOSE_VEG and NOT LAND_USE
-             !Config Def  = FALSE
-             !Config Help = If you want to recover the old (ie orchidee_1_2 branch) 
-             !Config        "interpolation" of vegetation map.
-             !
-             old_veget = .FALSE.
-             CALL getin_p('SLOWPROC_VEGET_OLD_INTERPOL',old_veget)
 
              ! The interpolation of vegetation has changed.
@@ -1092,14 +967,4 @@
        !
        IF (read_lai) THEN
-
-          !Config Key  = SLOWPROC_LAI_OLD_INTERPOL
-          !Config Desc = Flag to use old "interpolation" of LAI
-          !Config If   = LAI_MAP
-          !Config Def  = FALSE
-          !Config Help = If you want to recover the old (ie orchidee_1_2 branch) 
-          !Config        "interpolation" of LAI map.
-          !
-          old_lai = .FALSE.
-          CALL getin_p('SLOWPROC_LAI_OLD_INTERPOL',old_lai)
 
           !
@@ -4670,5 +4535,5 @@
     ! 79 warm C4 woody savanna
     vegcorr(79,:) = &
-         & (/0.0, 0.0, 0.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.6, 0.0, 0.0, 0.0/)
+         & (/0.0, 0.0, 0.4, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.6, 0.0, 0.0/)
     ! 80 cool woody savanna
     vegcorr(80,:) = &