Index: tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_ADA.path
===================================================================
--- tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_ADA.path	(revision 5695)
+++ tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_ADA.path	(revision 5716)
@@ -1,6 +1,6 @@
 NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -lstdc++ -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz}"
 NETCDF_INCDIR="${NETCDF_FFLAGS:--I/smplocal/pub/HDF5/1.8.9/par/include -I/smplocal/pub/NetCDF/4.1.3/mpi/include}"
-IOIPSL_INCDIR=-I${ORCHDIR}/../../lib
-IOIPSL_LIBDIR=-L${ORCHDIR}/../../lib
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -lioipsl -L${ORCHDIR}/../IOIPSL/lib"
 XIOS_INCDIR=-I${ORCHDIR}/../XIOS/inc
 XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib -lxios"
Index: tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_IRENE.path
===================================================================
--- tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_IRENE.path	(revision 5695)
+++ tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_IRENE.path	(revision 5716)
@@ -1,6 +1,6 @@
 NETCDF_LIBDIR="-L$NETCDF_LIBDIR -lnetcdf -L$NETCDFFORTRAN_LIBDIR -lnetcdff -lstdc++"
 NETCDF_INCDIR="-I$NETCDF_INCDIR -I$NETCDFFORTRAN_INCDIR"
-IOIPSL_INCDIR=-I${ORCHDIR}/../../lib
-IOIPSL_LIBDIR=-L${ORCHDIR}/../../lib
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -lioipsl -L${ORCHDIR}/../IOIPSL/lib"
 XIOS_INCDIR=-I${ORCHDIR}/../XIOS/inc
 XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib -lxios"
Index: tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_OCCIGEN.path
===================================================================
--- tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_OCCIGEN.path	(revision 5695)
+++ tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-X64_OCCIGEN.path	(revision 5716)
@@ -1,6 +1,6 @@
 NETCDF_LIBDIR="-L$NETCDF_LIB_DIR $NETCDFF_LIBDIR -lnetcdff -lnetcdf -lstdc++"
 NETCDF_INCDIR="-I$NETCDF_INC_DIR -I$NETCDFF_INCDIR"
-IOIPSL_INCDIR=-I${ORCHDIR}/../../lib
-IOIPSL_LIBDIR=-L${ORCHDIR}/../../lib
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -lioipsl -L${ORCHDIR}/../IOIPSL/lib"
 XIOS_INCDIR=-I${ORCHDIR}/../XIOS/inc
 XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib -lxios"
Index: tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-gfortran.path
===================================================================
--- tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-gfortran.path	(revision 5695)
+++ tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-gfortran.path	(revision 5716)
@@ -1,4 +1,7 @@
 NETCDF_LIBDIR="-L/usr/local/lib -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I/usr/local/include
-IOIPSL_INCDIR=-L${ORCHDIR}/../../lib
-IOIPSL_LIBDIR=-I${ORCHDIR}/../../lib
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -lioipsl -L${ORCHDIR}/../IOIPSL/lib"
+XIOS_INCDIR=-I${ORCHDIR}/../XIOS/inc
+XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib -lxios"
+
Index: tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-ifort_CICLAD.path
===================================================================
--- tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-ifort_CICLAD.path	(revision 5695)
+++ tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-ifort_CICLAD.path	(revision 5716)
@@ -1,6 +1,6 @@
 NETCDF_LIBDIR="-L/opt/netcdf42/ifort/lib -lnetcdf -lnetcdff -lstdc++"
 NETCDF_INCDIR=-I/opt/netcdf42/ifort/include
-IOIPSL_INCDIR=-I${ORCHDIR}/../../lib
-IOIPSL_LIBDIR=-L${ORCHDIR}/../../lib
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -lioipsl -L${ORCHDIR}/../IOIPSL/lib"
 XIOS_INCDIR=-I${ORCHDIR}/../XIOS/inc
 XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib -lxios"
Index: tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-ifort_LSCE.path
===================================================================
--- tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-ifort_LSCE.path	(revision 5695)
+++ tags/ORCHIDEE_2_1/ORCHIDEE/arch/arch-ifort_LSCE.path	(revision 5716)
@@ -1,6 +1,6 @@
 NETCDF_LIBDIR="-L/usr/local/install/netcdf-4.3.2p/lib -lnetcdff -lnetcdf -L/usr/local/install/hdf5-1.8.9p/lib -lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl -lstdc++"
 NETCDF_INCDIR=-I/usr/local/install/netcdf-4.3.2p/include
-IOIPSL_INCDIR=-I${ORCHDIR}/../../lib
-IOIPSL_LIBDIR=-L${ORCHDIR}/../../lib
+IOIPSL_INCDIR="-I${ORCHDIR}/../../lib -I${ORCHDIR}/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L${ORCHDIR}/../../lib -lioipsl -L${ORCHDIR}/../IOIPSL/lib"
 XIOS_INCDIR=-I${ORCHDIR}/../XIOS/inc
 XIOS_LIBDIR="-L${ORCHDIR}/../XIOS/lib -lxios"